{-|
Module      : MetaHS.DataModel.Utils.Language.Haskell.Exts.Syntax.Name
Description : Utility functions for Name objects.
Copyright   : Copyright (C) 2017-2019 H.H.R.F. Vos, S. Kamps
License     : -- This file is distributed under the  terms of the Apache License 2.0.
              For more information, see the file "LICENSE", which is included in the distribution.
Stability   : experimental
Utility functions for Name objects.
-}
module MetaHS.DataModel.Utils.Language.Haskell.Exts.Syntax.Name
    where

import Language.Haskell.Exts.Syntax

-- | Returns the name for a Name object.
name :: Name l  -- ^ The Name object to analyze.
     -> String  -- ^ The name of the Name object.
name (Ident _ x)  = x
name (Symbol _ x) = "(" ++ x ++ ")"